{ lib, config, pkgs, ... }: let
  mypython = let
    packageOverrides = final: prev: {
      matplotlib = prev.matplotlib.override {enableGtk3 = true;};
    };
  in pkgs.python3.override {inherit packageOverrides;};
in {
  virtualisation = {
    podman = {
      enable = true;
    };
  };
  hardware.nvidia-container-toolkit.enable = true;

  environment.systemPackages = with pkgs; [
    godot_4
    cbqn-replxx

    (mypython.withPackages (p: (with p; [
      scipy
      numpy
      pandas
      seaborn
      requests
      beautifulsoup4
      tqdm
      matplotlib
      colour

      ipython
      python-lsp-server
    ])))

    cudaPackages.cudatoolkit
    cudaPackages.cudnn
  ];
}
